import { classList } from "../util/classes.ts";

interface IProps {
  msg?: string;
  class?: string;
}

export const Loader = ({ msg, class: className }: IProps) => {
  return (
    <div
      class={classList("flex justify-center items-center gap-4", className)}
    >
      {!!msg && <p>{msg}</p>}
      <div class="animate-spin rounded-full max-w-full h-16 w-16 border-t-2 border-b-2 border-primary-600">
      </div>
    </div>
  );
};
